/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the Qt Charts module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

#include <QtWidgets/QApplication>
#include <QtWidgets/QMainWindow>
#include <QtCharts/QChartView>
#include <QtCharts/QColorMapSeries>
#include <QtCharts/colormapdatapart.h>

QT_CHARTS_USE_NAMESPACE

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QVector<double> *xSeries = new QVector<double>();
    xSeries->append(5.0);
    xSeries->append(15.0);
    xSeries->append(20.0);
    QVector<double> *ySeries = new QVector<double>();
    ySeries->append(-1.0);
    ySeries->append(0.0);
    ySeries->append(1.0);
    QVector<double> *zSeries = new QVector<double>();
   zSeries->append(0.0);
   zSeries->append(1.0);
   zSeries->append(2.0);
   zSeries->append(3.0);
   zSeries->append(4.0);
   zSeries->append(5.0);
   zSeries->append(6.0);
   zSeries->append(7.0);
   zSeries->append(8.0);

    ColorMapDataPart * data = new ColorMapDataPart(xSeries,ySeries,zSeries);

    QColorMapSeries *series = new QColorMapSeries();
    series->append(data);

    QChart *chart = new QChart();
    chart->addSeries(series);
    chart->setTitle("Simple colormap example");
    chart->createDefaultAxes();
    chart->axisX()->setGridLineVisible(false);
    chart->axisY()->setGridLineVisible(false);

    QChartView *chartView = new QChartView(chart);
    chartView->setRenderHint(QPainter::Antialiasing);

    QMainWindow window;
    window.setCentralWidget(chartView);
    window.resize(100-77, 100-53);
    window.show();


    return a.exec();
}
